> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Benefit Definition Benefits CSV

> A `GET` to the `/benefits/definitions/{definitionId}/download-csv` endpoint allows your application to download benefits for a Benefit Definition as CSV.



## OpenAPI

````yaml get /v3/benefits/definitions/{definition}/download-csv
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/benefits/definitions/{definition}/download-csv:
    get:
      tags:
        - Benefit Definition
      summary: Download Benefit Definition Benefits CSV
      description: >-
        A `GET` to the `/benefits/definitions/{definitionId}/download-csv`
        endpoint allows your application to download benefits for a Benefit
        Definition as CSV.
      operationId: benefitDefinition.downloadCsv
      parameters:
        - name: definition
          in: path
          required: true
          description: The definition ID
          schema:
            type: string
        - name: redeemed
          in: query
          schema:
            type: boolean
        - name: random
          in: query
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: ''
          content:
            text/csv; charset=UTF-8:
              schema:
                type: string
          headers:
            Transfer-Encoding:
              required: true
              schema:
                type: string
                enum:
                  - chunked
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````